UndeformConsumer Class Reference
Inheritance diagram for UndeformConsumer:

## Public Member Functions

| UndeformConsumer (Ideal &toDeform, const TermTranslator &translator, CoefBigTermConsumer &consumer, const IdealOrderer &order, bool univar, bool canonical, bool doStrongDeformation)
virtual void | consumeRing (const VarNames &names)
virtual void | beginConsuming ()
virtual void | consume (const mpz_class &coef, const Term &term)
virtual void | doneConsuming ()
Public Member Functions inherited from CoefTermConsumer
virtual | ~CoefTermConsumer ()
virtual void | consume (const Polynomial &poly)

## Private Attributes

bool | _univar
Term | _tmp
Deformer | _deformer
const TermTranslator & | _translator
bool | _canonical
CoefBigTermConsumer & | _consumer
HashPolynomial | _poly
UniHashPolynomial | _uniPoly
mpz_class | _tdeg

## Detailed Description

Definition at line 31 of file ScarfHilbertAlgorithm.cpp.

## Constructor & Destructor Documentation

## UndeformConsumer()

UndeformConsumer::UndeformConsumer | ( | Ideal & | toDeform,
|  | const TermTranslator & | translator,
|  | CoefBigTermConsumer & | consumer,
|  | const IdealOrderer & | order,
|  | bool | univar,
|  | bool | canonical,
|  | bool | doStrongDeformation )

inline

Definition at line 33 of file ScarfHilbertAlgorithm.cpp.

## Member Function Documentation

## beginConsuming()

virtual void UndeformConsumer::beginConsuming | ( |  | ) |

inline virtual

Implements CoefTermConsumer.

Definition at line 53 of file ScarfHilbertAlgorithm.cpp.

## consume()

virtual void UndeformConsumer::consume | ( | const mpz_class & | coef,
|  | const Term & | term )

inline virtual

Implements CoefTermConsumer.

Definition at line 56 of file ScarfHilbertAlgorithm.cpp.

## consumeRing()

virtual void UndeformConsumer::consumeRing | ( | const VarNames & | names | ) |

inline virtual

Implements CoefTermConsumer.

Definition at line 49 of file ScarfHilbertAlgorithm.cpp.

## doneConsuming()

virtual void UndeformConsumer::doneConsuming | ( |  | ) |

inline virtual

Implements CoefTermConsumer.

Definition at line 73 of file ScarfHilbertAlgorithm.cpp.

## Member Data Documentation

## _canonical

bool UndeformConsumer::_canonical

private

Definition at line 85 of file ScarfHilbertAlgorithm.cpp.

## _consumer

CoefBigTermConsumer& UndeformConsumer::_consumer

private

Definition at line 86 of file ScarfHilbertAlgorithm.cpp.

## _deformer

Deformer UndeformConsumer::_deformer

private

Definition at line 83 of file ScarfHilbertAlgorithm.cpp.

## _poly

HashPolynomial UndeformConsumer::_poly

private

Definition at line 87 of file ScarfHilbertAlgorithm.cpp.

## _tdeg

mpz_class UndeformConsumer::_tdeg

private

Definition at line 89 of file ScarfHilbertAlgorithm.cpp.

## _tmp

Term UndeformConsumer::_tmp

private

Definition at line 82 of file ScarfHilbertAlgorithm.cpp.

## _translator

const TermTranslator& UndeformConsumer::_translator

private

Definition at line 84 of file ScarfHilbertAlgorithm.cpp.

## _uniPoly

UniHashPolynomial UndeformConsumer::_uniPoly

private

Definition at line 88 of file ScarfHilbertAlgorithm.cpp.

## _univar

bool UndeformConsumer::_univar

private

Definition at line 81 of file ScarfHilbertAlgorithm.cpp.

The documentation for this class was generated from the following file:

- src/ScarfHilbertAlgorithm.cpp